Project

General

Profile

Tâche #15104

eCDL 2.5.2b1 non installable

Added by Thierry Bertrand about 5 years ago. Updated about 5 years ago.

Status:
Fermé
Priority:
Normal
Start date:
02/22/2016
Due date:
% Done:

100%

Estimated time:
3.00 h
Spent time:
Remaining (hours):
0.0

Related issues

Blocks eCDL - Tâche #15098: iso 2.5.2b1 : pb iso pour eCDL Fermé 02/15/2016

History

#1 Updated by Thierry Bertrand about 5 years ago

  • Status changed from Nouveau to En cours
  • Start date set to 02/22/2016

#2 Updated by Daniel Dehennin about 5 years ago

Pour avoir plus facilement des informations qu’en console VNC, nous pouvons démarrer une installation avec une console SSH.

Démarrage de l’installation ISO avec une console SSH

  1. Au menu de démarrage de l’ISO, aller sur la ligne d’installation eCDL
  2. Appuyer sur la touche F6 pour afficher le menu avancé et la ligne Options d’amorçage
  3. Appuyer sur la touche ECHAP pour faire disparaitre le menu et conserver la ligne Options d’amorçage
  4. Déplacer le curseur juste après le signe égal de classes=
  5. Saisir net/console;
  6. Appuyer sur ENTRER pour démarrer l’installation

La procédure se déroule normalement juqu’au menu de paramétrage de la console SSH

Activation de la console SSH

  1. Saisir un Mot de passe pour l’installation à distance
  2. Mémoriser les informations de connexions affichés à l’écran
  3. Continuer l’installation en validant Continuer

Accès SSH pour faciliter le debug de l’installation

Pendant l’installation, une connexion SSH est possible avec les paramètres notés plus haut :

  1. Exécuter la commande ssh installer<IP>@ noté plus haut
  2. Choisir Ouvrir une ligne de commande interactive dans le menu qui est affiché

Les logs de l’installation sont dans /var/log/syslog

~# tail -n 50 /var/log/syslog
Feb 23 11:21:06 in-target: Lecture des listes de paquets…
Feb 23 11:21:06 in-target: 
Feb 23 11:21:06 in-target: Construction de l'arbre des dépendances…
Feb 23 11:21:06 in-target: 
Feb 23 11:21:06 in-target: Lecture des informations d'état…
Feb 23 11:21:06 in-target: 
Feb 23 11:21:06 in-target: Certains paquets ne peuvent être installés. Ceci peut signifier
Feb 23 11:21:06 in-target: que vous avez demandé l'impossible, ou bien, si vous utilisez
Feb 23 11:21:06 in-target: la distribution unstable, que certains paquets n'ont pas encore
Feb 23 11:21:06 in-target: été créés ou ne sont pas sortis d'Incoming.
Feb 23 11:21:06 in-target: L'information suivante devrait vous aider à résoudre la situation : 
Feb 23 11:21:06 in-target: 
Feb 23 11:21:06 in-target: Les paquets suivants contiennent des dépendances non satisfaites :
Feb 23 11:21:06 in-target:  eole-ecdl-all : Dépend: eole-ecdl-module mais ne sera pas installé
Feb 23 11:21:06 in-target: E
Feb 23 11:21:06 in-target: : 
Feb 23 11:21:06 in-target: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».
Feb 23 11:21:06 in-target: 
[...]

#3 Updated by Daniel Dehennin about 5 years ago

Test de l’installation depuis un eolebase

Tester si c’est un problème de paquet non présent sur l’ISO

root@eolebase:~# Maj-Auto -D
root@eolebase:~# apt-get -s install eole-ecdl-all 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation : 

Les paquets suivants contiennent des dépendances non satisfaites :
 eole-ecdl-all : Dépend: eole-ecdl-module mais ne sera pas installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».

Tester l’arbre de dépendance

root@eolebase:~# apt-get -o Debug::pkgProblemResolver=true -s install eole-ecdl-all 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Starting pkgProblemResolver with broken count: 1
Starting 2 pkgProblemResolver with broken count: 1
Investigating (0) libpam-ldapd [ amd64 ] < none -> 0.8.13-3ubuntu1 > ( universe/admin )
Broken libpam-ldapd:amd64 Est en conflit avec on libpam-ldap [ amd64 ] < none -> 184-8.5ubuntu3 > ( admin )
  Considering libpam-ldap:amd64 0 as a solution to libpam-ldapd:amd64 0
  Holding Back libpam-ldapd:amd64 rather than change libpam-ldap:amd64
Investigating (1) eole-ecdlannuaire [ amd64 ] < none -> 2.5.2-6 > ( admin )
Broken eole-ecdlannuaire:amd64 Dépend on libpam-ldapd [ amd64 ] < none -> 0.8.13-3ubuntu1 > ( universe/admin )
  Considering libpam-ldapd:amd64 0 as a solution to eole-ecdlannuaire:amd64 0
  Holding Back eole-ecdlannuaire:amd64 rather than change libpam-ldapd:amd64
Investigating (2) eole-ecdl [ amd64 ] < none -> 2.5.2-6 > ( admin )
Broken eole-ecdl:amd64 Dépend on eole-ecdlannuaire [ amd64 ] < none -> 2.5.2-6 > ( admin )
  Considering eole-ecdlannuaire:amd64 0 as a solution to eole-ecdl:amd64 0
  Holding Back eole-ecdl:amd64 rather than change eole-ecdlannuaire:amd64
Investigating (2) eole-ecdl-module [ amd64 ] < none -> 2.5.2-6 > ( metapackages )
Broken eole-ecdl-module:amd64 Dépend on eole-ecdl [ amd64 ] < none -> 2.5.2-6 > ( admin )
  Considering eole-ecdl:amd64 0 as a solution to eole-ecdl-module:amd64 0
  Holding Back eole-ecdl-module:amd64 rather than change eole-ecdl:amd64
Investigating (3) eole-ecdl-all [ amd64 ] < none -> 2.5.2-6 > ( metapackages )
Broken eole-ecdl-all:amd64 Dépend on eole-ecdl-module [ amd64 ] < none -> 2.5.2-6 > ( metapackages )
  Considering eole-ecdl-module:amd64 0 as a solution to eole-ecdl-all:amd64 9999
  Re-Instated libpam-ldapd:amd64
  Re-Instated eole-ecdlannuaire:amd64
  Re-Instated eole-ecdl:amd64
  Re-Instated eole-ecdl-module:amd64
Investigating (3) libpam-ldapd [ amd64 ] < none -> 0.8.13-3ubuntu1 > ( universe/admin )
Broken libpam-ldapd:amd64 Est en conflit avec on libpam-ldap [ amd64 ] < none -> 184-8.5ubuntu3 > ( admin )
  Considering libpam-ldap:amd64 0 as a solution to libpam-ldapd:amd64 0
  Holding Back libpam-ldapd:amd64 rather than change libpam-ldap:amd64
Investigating (4) eole-ecdlannuaire [ amd64 ] < none -> 2.5.2-6 > ( admin )
Broken eole-ecdlannuaire:amd64 Dépend on libpam-ldapd [ amd64 ] < none -> 0.8.13-3ubuntu1 > ( universe/admin )
  Considering libpam-ldapd:amd64 0 as a solution to eole-ecdlannuaire:amd64 0
  Holding Back eole-ecdlannuaire:amd64 rather than change libpam-ldapd:amd64
Investigating (5) eole-ecdl [ amd64 ] < none -> 2.5.2-6 > ( admin )
Broken eole-ecdl:amd64 Dépend on eole-ecdlannuaire [ amd64 ] < none -> 2.5.2-6 > ( admin )
  Considering eole-ecdlannuaire:amd64 0 as a solution to eole-ecdl:amd64 0
  Holding Back eole-ecdl:amd64 rather than change eole-ecdlannuaire:amd64
Investigating (5) eole-ecdl-module [ amd64 ] < none -> 2.5.2-6 > ( metapackages )
Broken eole-ecdl-module:amd64 Dépend on eole-ecdl [ amd64 ] < none -> 2.5.2-6 > ( admin )
  Considering eole-ecdl:amd64 0 as a solution to eole-ecdl-module:amd64 0
  Holding Back eole-ecdl-module:amd64 rather than change eole-ecdl:amd64
Investigating (6) eole-ecdl-all [ amd64 ] < none -> 2.5.2-6 > ( metapackages )
Broken eole-ecdl-all:amd64 Dépend on eole-ecdl-module [ amd64 ] < none -> 2.5.2-6 > ( metapackages )
  Considering eole-ecdl-module:amd64 0 as a solution to eole-ecdl-all:amd64 9999
Done
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation : 

Les paquets suivants contiennent des dépendances non satisfaites :
 eole-ecdl-all : Dépend: eole-ecdl-module mais ne sera pas installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».

Il semble y avoir un problème entre libpam-ldap et libpam-ldapd.

Il apparaît que le paquet eole-ecdlannuaire est le paquet problématique

  • Il dépend du paquet libpam-ldapd
  • Il dépend du paquet eole-client-annuaire qui dépend lui-même de libpam-ldap

#4 Updated by Thierry Bertrand about 5 years ago

Pour tester le bon fonctionnement suite au correctif :
<nebuchadnezzar> teebee44: ou alors mettre à jour un eolebase avec Maj-Auto -D, et tenter l’installer le paquet eole-ecdl-all

Le tout à partir de test-eole.ac-dijon.fr

#5 Updated by Thierry Bertrand about 5 years ago

  • % Done changed from 0 to 100
  • Estimated time set to 3.00 h
  • Remaining (hours) set to 3.0

installation d'un eolebase

mise à jour en 2.5.2 dev
installation de eole-ecdl-all

pas d'erreurs

#6 Updated by Thierry Bertrand about 5 years ago

  • Status changed from En cours to Fermé
  • Remaining (hours) changed from 3.0 to 0.0

Also available in: Atom PDF